<?php

/* * ********************************************************************
 * Wordpress_Manager Product developed. (Dec 5, 2017)
 * *
 *
 *  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
 *  CONTACT                        ->       contact@modulesgarden.com
 *
 *
 * This software is furnished under a license and may be used and copied
 * only  in  accordance  with  the  terms  of such  license and with the
 * inclusion of the above copyright notice.  This software  or any other
 * copies thereof may not be provided or otherwise made available to any
 * other person.  No title to and  ownership of the  software is  hereby
 * transferred.
 *
 *
 * ******************************************************************** */

namespace ModulesGarden\HostingQuotaNotifications\App\UI\Groups\Forms;

use ModulesGarden\HostingQuotaNotifications\Core\UI\Widget\Forms\BaseForm;
use ModulesGarden\HostingQuotaNotifications\Core\UI\Interfaces\AdminArea;
use \ModulesGarden\HostingQuotaNotifications\App\UI\Groups\Providers\GroupsProvider;
use \ModulesGarden\HostingQuotaNotifications\Core\UI\Widget\Forms\AjaxFields\SelectGlobalLang as GlobalLangSelectHQ;
use ModulesGarden\HostingQuotaNotifications\Core\UI\Widget\Forms\Fields\Hidden;
use ModulesGarden\HostingQuotaNotifications\Core\UI\Widget\Forms\Fields\Switcher;

/**
 * Description of MassEnableForm
 *
 * @author Artur Pilch <artur.pi@modulesgarden.com>
 */
class MassDisableForm extends BaseForm implements AdminArea
{
    protected $id = 'massForm';

    public function getAllowedActions()
    {
        return ['updateMass'];
    }

    public function initContent()
    {
        $this->setFormType('updateMass');
        $this->setProvider(new GroupsProvider());
        $this->initFields();
        
    }

    protected function initFields()
    {
        $field = new Hidden();
        $field->initIds('enableStatus')->setValue('off');
        $this->addField($field);
        $this->setConfirmMessage('confirmToogle', ['title' => null]);
    }
}
